# searchForApplications

GET

/v2/applications

Search for applications

## Parameters

### Query Parameters

**application-id**  
integer  
Application ID

**creator**  
string  
Filter just applications with the given creator address.

**include-all**  
boolean  
Include all items including closed accounts, deleted applications, destroyed assets, opted-out asset holdings, and closed-out application localstates.

**limit**  
integer  
Maximum number of results to return. There could be additional pages even if the limit is not reached.

**next**  
string  
The next page of results. Use the next token provided by the previous results.

## Responses

### 200

(empty)

Select media typeapplication/json  
object

**applications**  
required  
Array<object>  
Application index and its parameters

object  
**created-at-round**  
Round when this application was created.

integer  
**deleted**  
Whether or not this application is currently deleted.

boolean  
**deleted-at-round**  
Round when this application was deleted.

integer  
**id**  
required  
Application index.

integer  
**params**  
required  
Stores the global information associated with an application.

object  
**approval-program**  
required  
Approval program.

string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**clear-state-program**  
required  
Clear state program.

string format: byte  
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/

**creator**  
The address that created this application. This is the address where the parameters and global state for this application can be found.

string  
**extra-program-pages**  
The number of extra program pages available to this app.

integer  
**global-state**  
Represents a key-value store for use in an application.

Array<object>  
Represents a key-value pair in an application store.

object  
**key**  
required  
string  
**value**  
required  
Represents a TEAL value.

object  
**bytes**  
required  
Bytes value.

string  
**type**  
required  
Type of the value. Value `1` refers to **bytes**, value `2` refers to **uint**

integer  
**uint**  
required  
Uint value.

integer  
**global-state-schema**  
Specifies maximums on the number of each type that may be stored.

object  
**num-byte-slice**  
required  
Number of byte slices.

integer  
**num-uint**  
required  
Number of uints.

integer  
**local-state-schema**  
Specifies maximums on the number of each type that may be stored.

object  
**num-byte-slice**  
required  
Number of byte slices.

integer  
**num-uint**  
required  
Number of uints.

integer  
**version**  
The number of updates to the application programs

integer  
**current-round**  
required  
Round at which the results were computed.

integer  
**next-token**  
Used for pagination, when making another request provide this token with the next parameter.

string

### 500

Response for errors

Select media typeapplication/json  
object

**data**  
object  
**message**  
required  
string
